Bug 124093 - EDITING Selecting filtered cells with hidden rows in between causes a bug in filter reset.
Summary: EDITING Selecting filtered cells with hidden rows in between causes a bug in ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Data-Filter
  Show dependency treegraph
 
Reported: 2019-03-15 08:46 UTC by Julian Ragan
Modified: 2021-06-19 14:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
File for quick reproduction of the bug (12.31 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-03-15 08:48 UTC, Julian Ragan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Ragan 2019-03-15 08:46:13 UTC
Description:
When column or range is filtered by some criteria and in result some rows are hidden, there is a potential to trigger a bug in filter reset function. To trigger it, the user has to make a partial selection with hidden rows in between. If the user decides to reset the filter with his selection still active (or being the last selection in that column), then using reset filter option will reset only the last selection, leaving some rows still hidden (with filter applied, selecting rows and pressing delete removes content only from visible cells).
To fix the sheet, the user has to apply any standard filter and reset it without making selection.

Steps to Reproduce:
1.Select a column or columns to filter out the duplicates 
2.Set criteria for filter (non empty + no duplication will work best in the provided file)
3.Make your own selection in the filtered range (but don't select cells outside filter range)
4.Reset filter

Actual Results:
Cells outside user selection still have filter applied.

Expected Results:
Reset filter should completely remove applied filter from active sheet.


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
This bug causes loss of ability to add columns on left or right from context menu (try adding columns with context menu on Sheet2), and also causes loss of ability to paste multi row selection from other sheets if there is a collision with hidden rows (try copying rows from Sheet1 to Sheet2).

The result of this bug is saved to the file, please see Sheet2

The bug has been reproduced in the following builds:

3.3.0 OOO330m19 (Build:6) tag libreoffice-3.3.0.4

4.0.0.1 (Build ID: 527dba6f6e0cfbbc71bd6e7b88a52699bb48799)

5.4.7.2 (x64) Build ID: c838ef25c16710f8838b1faec480ebba495259d0

6.1.1.2 (x64) Build ID: 5d19a1bfa650b796764388cd8b33a5af1f5baa1b

6.3.0.0.alpha0+ (x64) Build ID: 91cdf22b88a4f7bec243c8fb187627e766d3294c
Comment 1 Julian Ragan 2019-03-15 08:48:44 UTC
Created attachment 149991 [details]
File for quick reproduction of the bug

Sheet 1 - source data, copy to any new sheet to experiment with
Sheet 2 - results of failed reset filter operation.
Comment 2 Oliver Brinzing 2019-03-15 17:56:09 UTC
reproducible with:

Version: 6.1.5.2 (x64)
Build ID: 90f8dcf33c87b3705e78202e3df5142b201bd805
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: 

and AOO 4.1.5

steps to reproduce:
- open attached spreadsheet
- select column A
- Menu Data/More Filters/Standard Filter...
  Column A = Not Empty
  [x] No Duplications
- Select e.g.: A49:A173
- Menu Data/More Filters/Reset Filter
-> A1:A48 and A174:A245 have hidden rows
Comment 3 b. 2020-09-04 19:06:51 UTC
having empty cells in the filtered range produces 'reset filter' greyed out on: 

Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 8; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win
Locale: de-DE (de_DE); UI: en-US
Calc: CL
Comment 4 stragu 2021-06-19 14:32:38 UTC
Reproduced in:

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 94d552f94b427f884c004dba5d4619ecf729d605
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-06-18_13:30:27
Calc: threaded

Resetting the filter when one single cell in the range is selected does reset the filter for the whole column. So I see this as inconsistent.